gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.CellAreaBox

Contents

- Exported types
- Methods
  - getSpacing
  - new
  - packEnd
  - packStart
  - setSpacing
- Properties
  - spacing

Description

A cell area that renders GtkCellRenderers into a row or a column

The `GtkCellAreaBox` renders cell renderers into a row or a column depending on its `GtkOrientation`.

GtkCellAreaBox uses a notion of packing. Packing refers to adding cell renderers with reference to a particular position in a `GtkCellAreaBox`. There are two reference positions: the start and the end of the box. When the `GtkCellAreaBox` is oriented in the `OrientationVertical` orientation, the start is defined as the top of the box and the end is defined as the bottom. In the `OrientationHorizontal` orientation start is defined as the left side and the end is defined as the right side.

Alignments of `GtkCellRenderer`s rendered in adjacent rows can be configured by configuring the `GtkCellAreaBox` align child cell property with `cellAreaCellSetProperty` or by specifying the "align" argument to `cellAreaBoxPackStart` and `cellAreaBoxPackEnd`.

Synopsis

- newtype CellAreaBox = CellAreaBox (ManagedPtr CellAreaBox)
- class (GObject o, IsDescendantOf CellAreaBox o) => IsCellAreaBox o
- toCellAreaBox :: (MonadIO m, IsCellAreaBox o) => o -> m CellAreaBox
- cellAreaBoxGetSpacing :: (HasCallStack, MonadIO m, IsCellAreaBox a) => a -> m Int32
- cellAreaBoxNew :: (HasCallStack, MonadIO m) => m CellAreaBox
- cellAreaBoxPackEnd :: (HasCallStack, MonadIO m, IsCellAreaBox a, IsCellRenderer b) => a -> b -> Bool -> Bool -> Bool -> m ()
- cellAreaBoxPackStart :: (HasCallStack, MonadIO m, IsCellAreaBox a, IsCellRenderer b) => a -> b -> Bool -> Bool -> Bool -> m ()
- cellAreaBoxSetSpacing :: (HasCallStack, MonadIO m, IsCellAreaBox a) => a -> Int32 -> m ()
- constructCellAreaBoxSpacing :: (IsCellAreaBox o, MonadIO m) => Int32 -> m (GValueConstruct o)
- getCellAreaBoxSpacing :: (MonadIO m, IsCellAreaBox o) => o -> m Int32
- setCellAreaBoxSpacing :: (MonadIO m, IsCellAreaBox o) => o -> Int32 -> m ()

# Exported types

newtype CellAreaBox Source #

Memory-managed wrapper type.

Constructors

CellAreaBox (ManagedPtr CellAreaBox) |

#### Instances

Instances details

Eq CellAreaBox Source # |
Instance details Defined in GI.Gtk.Objects.CellAreaBox Methods (==) :: CellAreaBox -> CellAreaBox -> Bool Source # (/=) :: CellAreaBox -> CellAreaBox -> Bool Source #
GObject CellAreaBox Source # |
Instance details Defined in GI.Gtk.Objects.CellAreaBox
ManagedPtrNewtype CellAreaBox Source # |
Instance details Defined in GI.Gtk.Objects.CellAreaBox Methods toManagedPtr :: CellAreaBox -> ManagedPtr CellAreaBox Source #
TypedObject CellAreaBox Source # |
Instance details Defined in GI.Gtk.Objects.CellAreaBox Methods glibType :: IO GType Source #
HasParentTypes CellAreaBox Source # |
Instance details Defined in GI.Gtk.Objects.CellAreaBox
IsGValue (Maybe CellAreaBox) Source # | Convert `CellAreaBox` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.CellAreaBox Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe CellAreaBox -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe CellAreaBox) Source #
type ParentTypes CellAreaBox Source # |
Instance details Defined in GI.Gtk.Objects.CellAreaBox type ParentTypes CellAreaBox = '[CellArea, Object, Buildable, CellLayout, Orientable]

class (GObject o, IsDescendantOf CellAreaBox o) => IsCellAreaBox o Source #

Type class for types which can be safely cast to `CellAreaBox`, for instance with `toCellAreaBox`.

#### Instances

Instances details

(GObject o, IsDescendantOf CellAreaBox o) => IsCellAreaBox o Source # |
Instance details Defined in GI.Gtk.Objects.CellAreaBox

toCellAreaBox :: (MonadIO m, IsCellAreaBox o) => o -> m CellAreaBox Source #

Cast to `CellAreaBox`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activate, activateCell, add, addAttribute, addFocusSibling, applyAttributes, attributeConnect, attributeDisconnect, attributeGetColumn, bindProperty, bindPropertyFull, cellGetProperty, cellSetProperty, clear, clearAttributes, copyContext, createContext, event, focus, forceFloating, foreach, foreachAlloc, freezeNotify, getv, hasRenderer, innerCellArea, isActivatable, isFloating, isFocusSibling, notify, notifyByPspec, packEnd, packStart, ref, refSink, remove, removeFocusSibling, reorder, requestRenderer, runDispose, snapshot, stealData, stealQdata, stopEditing, thawNotify, unref, watchClosure.

#### Getters

getArea, getBuildableId, getCellAllocation, getCellAtPosition, getCells, getCurrentPathString, getData, getEditWidget, getEditedCell, getFocusCell, getFocusFromSibling, getFocusSiblings, getOrientation, getPreferredHeight, getPreferredHeightForWidth, getPreferredWidth, getPreferredWidthForHeight, getProperty, getQdata, getRequestMode, getSpacing.

#### Setters

setCellDataFunc, setData, setDataFull, setFocusCell, setOrientation, setProperty, setSpacing.

## getSpacing

cellAreaBoxGetSpacing Source #

Arguments

:: (HasCallStack, MonadIO m, IsCellAreaBox a) |
=> a | `box`: a `GtkCellAreaBox`
-> m Int32 | Returns: the space added between cell renderers in `box`.

Deprecated: (Since version 4.10)

Gets the spacing added between cell renderers.

## new

cellAreaBoxNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m CellAreaBox | Returns: a newly created `GtkCellAreaBox`

Deprecated: (Since version 4.10)

Creates a new `GtkCellAreaBox`.

## packEnd

cellAreaBoxPackEnd Source #

Arguments

:: (HasCallStack, MonadIO m, IsCellAreaBox a, IsCellRenderer b) |
=> a | `box`: a `GtkCellAreaBox`
-> b | `renderer`: the `GtkCellRenderer` to add
-> Bool | `expand`: whether `renderer` should receive extra space when the area receives more than its natural size
-> Bool | `align`: whether `renderer` should be aligned in adjacent rows
-> Bool | `fixed`: whether `renderer` should have the same size in all rows
-> m () |

Deprecated: (Since version 4.10)

Adds `renderer` to `box`, packed with reference to the end of `box`.

The `renderer` is packed after (away from end of) any other `GtkCellRenderer` packed with reference to the end of `box`.

## packStart

cellAreaBoxPackStart Source #

Arguments

:: (HasCallStack, MonadIO m, IsCellAreaBox a, IsCellRenderer b) |
=> a | `box`: a `GtkCellAreaBox`
-> b | `renderer`: the `GtkCellRenderer` to add
-> Bool | `expand`: whether `renderer` should receive extra space when the area receives more than its natural size
-> Bool | `align`: whether `renderer` should be aligned in adjacent rows
-> Bool | `fixed`: whether `renderer` should have the same size in all rows
-> m () |

Deprecated: (Since version 4.10)

Adds `renderer` to `box`, packed with reference to the start of `box`.

The `renderer` is packed after any other `GtkCellRenderer` packed with reference to the start of `box`.

## setSpacing

cellAreaBoxSetSpacing Source #

Arguments

:: (HasCallStack, MonadIO m, IsCellAreaBox a) |
=> a | `box`: a `GtkCellAreaBox`
-> Int32 | `spacing`: the space to add between `GtkCellRenderer`s
-> m () |

Deprecated: (Since version 4.10)

Sets the spacing to add between cell renderers in `box`.

# Properties

## spacing

The amount of space to reserve between cells.

constructCellAreaBoxSpacing :: (IsCellAreaBox o, MonadIO m) => Int32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`spacing`” property. This is rarely needed directly, but it is used by `new`.

getCellAreaBoxSpacing :: (MonadIO m, IsCellAreaBox o) => o -> m Int32 Source #

Get the value of the “`spacing`” property. When overloading is enabled, this is equivalent to

    get cellAreaBox #spacing

setCellAreaBoxSpacing :: (MonadIO m, IsCellAreaBox o) => o -> Int32 -> m () Source #

Set the value of the “`spacing`” property. When overloading is enabled, this is equivalent to

    set cellAreaBox [ #spacing := value ]